Subject: RE: email oid

From: Andrew Probert <[email-masked]>
Date: Wed, 11 Nov 1998 11:23:18 +1100

I think this convention came about when people wanted to represent an
internet mailbox in a 
version 1 certificate i.e. exensions were not available to carry it and
CA's could more easily modify
DN than extensions in the early days.

Netscape were probably the first to do this.

Rotek's TrustedNet Smart Card Enabled S/MIME Secure Email

WINS

"INTERACT 98  BEST INTERNET, INTRANET & EXTRANET SOLUTION"

See our Web Site for details

Rotek Consulting 
Melbourne, Australia 
+61-3-9690-8877 
+61-3-9690-8171 (Fax) 
www.rotek.com.au 

Andew Probert
Rotek Consulting 
a Division of Secure Network Services
+61 3 9690 8877

> -----Original Message-----
> From:	Russ Housley [SMTP:[email-masked]]
> Sent:	Wednesday, November 11, 1998 8:09 AM
> To:	[email-masked]; [email-masked]
> Cc:	[email-masked]; [email-masked]
> Subject:	Re: email oid
> 
> I just took a look atRFC 1274.  I do not see anything in that document
> that
> leads me to believe that rfc822mailbox was intended to be used as a
> component of a Distrinuished Name.  It is clearly defining an
> attribute for
> sotorage in an X.500 directory.
> 
> On the other hand, I know that the PKCS#9 emailAddress attribute is
> used as
> a compnent of S/MIME v2 Distinguished Names.  I do not know of anyone
> using
> PKCS#9 emailAddress as an attribute in a X.500 directory.
> 
> Maybe there is not an issue...
> 
> Russ
> 
> 
> At 04:47 PM 10/30/98 -0500, Robert Klerer wrote:
> >Sue,
> >
> >Adding the additional OID would not be the optimum solution.  Since
> if I
> >have an RDN of EA=[email-masked], am I referring to the
> RFC822mailbox or
> >the pkcs-9 address?  Whichever choice will be wrong sometimes --
> hence the
> >problem.  pkix should NOT perpetuate the problem by again calling the
> same
> >thing two different names.
> >
> >Robert
> >
> >-----Original Message-----
> >From: Miklos, Sue A. <[email-masked]>
> >To: 'Russ Housley' <[email-masked]>
> >Cc: 'ietf-pkix' <[email-masked]>; [email-masked]'
> <[email-masked]>;
> >[email-masked]' <[email-masked]>
> >Date: Friday, October 30, 1998 2:34 PM
> >Subject: RE: email oid
> >
> >
> >>Russ, and others, may I then request that it be included or is that
> not
> >>possible?
> >>
> >>Sandi
> >>
> >>>----------
> >>>From: Russ Housley[SMTP:[email-masked]]
> >>>Sent: Friday, October 30, 1998 1:35 PM
> >>>To: Miklos, Sue A.
> >>>Cc: 'ietf-pkix'; [email-masked]'; [email-masked]'
> >>>Subject: Re: email oid
> >>>
> >>>Sandi:
> >>>
> >>>"Remain" is the issue.  It is not in PKIX part 1!
> >>>
> >>>Russ
> >>>
> >>>
> >>>At 11:53 AM 10/30/98 -0500, Miklos, Sue A. wrote:
> >>>>All,
> >>>>In the specifications for the schema for an international defense
> >>>>system, we have chosen rfc822Mailbox, {0 9 2342 19200300 100 1 3}
> >>>>registered
> >>>>in RFC 1274. This attribute was also called mail in one Internet
> Draft.
> >>>>I would like to request that this remain in whatever documentation
> you
> >>>>develop.
> >>>>
> >>>>Thanks,
> >>>>Sandi Miklos
> >>>>>
> >>>>>
> >>>>>----------
> >>>>>From: Wang, John[SMTP:[email-masked]]
> >>>>>Sent: Thursday, October 29, 1998 9:17 AM
> >>>>>To: 'Robert Klerer'; [email-masked]
> >>>>>Subject: RE: email oid
> >>>>>
> >>>>>It was my understanding that the RSA-pkcs-9 email address OID
> >>>>>(1.2.840.113549.1.9.1) was the more commonly used OID. I don't
> >>>>>think you can remove the RSA oid but perhaps add the RFC1274 oid
> >>>>>if there is a demand for it.
> >>>>>
> >>>>>-----Original Message-----
> >>>>>From: Robert Klerer [mailto:[email-masked]]
> >>>>>Sent: Thursday, October 29, 1998 8:19 AM
> >>>>>To: [email-masked]
> >>>>>Subject: email oid
> >>>>>
> >>>>>
> >>>>>The other day in trying to accommodate a legacy pki, I ran into a
> >problem
> >>>>>with an oid specified in draft-ietf-pkix-ipki-part1-11.  The
> ASN.1
> >>>>>specifies
> >>>>>that the oid used for an email address in the distinguished name
> is
> >>>>>1.2.840.113549.1.9.1, which refers to a RSA-pkcs-9 email address.
> I and
> >>>>>others have been using 0.9.2342.19200300.100.1.3 which is for
> internet
> >mail
> >>>>>as specified in RFC1274.
> >>>>>
> >>>>>Since I believe that the intention is for both of these oids are
> meant
> >to
> >>>>>represent attributes that hold the same information, this
> discrepancy
> >may
> >>>>>cause confusion and failures in the future.  My suggestion would
> be to
> >>>>>change part1 to refer to the more commonly used OID.
> >>>>>
> >>>>>
> >>>>>
> >>>>>
> >>>>>
> >>>
> >>>
> >>
> >